### Constructor

# GimpUi IntRadioFrame new_from_store

#### Declaration [src]

    GtkWidget*
    gimp_int_radio_frame_new_from_store (
      const gchar* title,
      GimpIntStore* store
    )

#### Description [src]

Creates a %GimpIntRadioFrame containing radio buttons for each item in the `store`. The created widget takes ownership of `store`.

If you need to construct an empty `GimpIntRadioFrame`, it’s best to use g_object_new (GIMP_TYPE_INT_RADIO_FRAME, NULL).

Available since: | 3.0

#### Parameters

`title` | `const gchar*`
| The frame label.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`store` | `GimpIntStore`
| The %GimpIntStore to generate radio buttons from.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A new `GimpIntRadioFrame`.
| The data is owned by the called function.